Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcClientWorker

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcClientWorker

All Implemented Interfaces:
  XmlRpcWorker

    public class XmlRpcClientWorker

extends java.lang.Object
implements XmlRpcWorker

Object, which performs a request on the clients behalf. The client maintains a pool of workers. The main purpose of the pool is limitation of the maximum number of concurrent requests.

Since:
  3.0

Constructor Summary
`XmlRpcClientWorker(XmlRpcClientWorkerFactory pFactory)` Creates a new instance.

Method Summary
`java.lang.Object` | `execute(XmlRpcRequest pRequest)` Performs a synchronous request.
`void` | `execute(XmlRpcRequest pRequest, AsyncCallback pCallback)` Performs an synchronous request.
`XmlRpcController` | `getController()` Returns the workers controller.
`protected java.lang.Thread` | `newThread(java.lang.Runnable pRunnable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcClientWorker

    public XmlRpcClientWorker(XmlRpcClientWorkerFactory pFactory)

  Creates a new instance.

  Parameters:
    `pFactory` - The factory, which is being notified, if the worker's ready.

Method Detail

### getController

    public XmlRpcController getController()

  Description copied from interface: `XmlRpcWorker`
  Returns the workers controller.

  Specified by:
    `getController` in interface `XmlRpcWorker`
  Returns:
    The controller, an instance of `XmlRpcClient`, or `XmlRpcServer`.

### execute

    public java.lang.Object execute(XmlRpcRequest pRequest)
                             throws XmlRpcException

  Performs a synchronous request.

  Specified by:
    `execute` in interface `XmlRpcWorker`
  Parameters:
    `pRequest` - The request being performed.
  Returns:
    The requests result.
  Throws:
    `XmlRpcException` - Performing the request failed.

### newThread

    protected java.lang.Thread newThread(java.lang.Runnable pRunnable)

### execute

    public void execute(XmlRpcRequest pRequest,
                        AsyncCallback pCallback)

  Performs an synchronous request.

  Parameters:
    `pRequest` - The request being performed.
    `pCallback` - The callback being invoked, when the request is finished.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.